# $Revision: 1.12.2.1 $, $Date: 2007/03/05 12:01:45 $
#
# Conditional build:
%bcond_without	jack	# without JACK support
#
Summary:	ecamegapedal - a realtime effect processor
Summary(pl):	ecamegapedal - procesor efektw dziaajcy w czasie rzeczywistym
Name:		ecamegapedal
Version:	0.4.4
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	35ae90b8b01e163d4ec0d6c824fbb8c6
URL:		http://www.eca.cx/ecasound/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ecasound-devel >= 2.2.0
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libtool
BuildRequires:	qt-devel
Requires:	ecasound >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ecamegapedal is a realtime effect processor built on top of ecasound
and Qt packages. It's meant to be used as a virtual guitar-fx or
studio effect box. In addition to realtime operation, ecamegapedal
also supports reading from and writing to audio files. All audio file
formats and effect algorithms provided by the ecasound libraries are
supported. This includes JACK, ALSA, OSS, aRts audio I/O (depending on
ecasound build options), over 20 file formats, over 30 effect types,
LADSPA plugins and multi-operator effect presets.

%description -l pl
ecamegapedal to dziaajcy w czasie rzeczywistym procesor efektw
zbudowany w oparciu o pakiety ecasound i Qt. Moe by uywany jako
wirtualny efekt gitarowy lub studyjne urzdzenie do efektw. Oprcz
dziaania w czasie rzeczywistym ecamegapedal obsuguje take odczyt z
i zapis do plikw dwikowych. Obsugiwane s wszystkie formaty plikw
dwikowych i algorytmy efektw dostarczone przez biblioteki ecasound.
Obejmuje to wejcie/wyjcie dwiku JACK, ALSA, OSS i aRts (zalenie
od opcji, z jakimi byo zbudowane ecasound), ponad 20 formatw plikw,
ponad 30 typw efektw, wtyczki LADSPA oraz ustawienia efektu
multi-operator.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-qt-libraries=/usr/%{_lib} \
	--with-qt-includes=%{_includedir}/qt
	%{!?with_jack:--disable-jack}

%{__make} \
	qt_libname="qt-mt"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/ecamegapedal
%{_mandir}/man1/ecamegapedal.1*
%{_datadir}/ecamegapedal

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ecamegapedal.spec,v $
Revision 1.12.2.1  2007/03/05 12:01:45  hawk
- release 2

Revision 1.12  2005/06/17 22:46:36  zbyniu
- libtoolize

Revision 1.11  2004/12/22 19:47:41  qboosh
- removed deps not belonging here (ecasound-devel)

Revision 1.10  2004/12/21 01:15:56  zbyniu
- BR: alsa-lib-devel, libsndfile-devel, libtool, readline-devel

Revision 1.9  2004/04/20 18:35:20  qboosh
- updated to 0.4.4

Revision 1.8  2004/01/18 22:16:24  undefine
- release 3, ac, am etc...

Revision 1.7  2003/09/07 13:33:07  qboosh
- release 2: link with qt-mt

Revision 1.6  2003/09/02 22:33:54  qboosh
- 0.4.3, added jack bcond

Revision 1.5  2003/07/26 01:05:17  qboosh
- 0.4.2

Revision 1.4  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.3  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/10 20:14:46  qboosh
- new

* Tue Jan 21 2003 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- Added the button pixmaps to the file list.

* Fri Jan 17 2003 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- Rewrite the spec file to match the style used in
  ecasound-2.2.0's spec-file.

* Thu Oct 17 2002 Kai Vehmanen <kai.vehmanen@wakkanet.fi>
- Added BuildPreReq tag.

* Sun Jun 17 2001 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial release. Before this release ecamegapedal was
  part of qtecasound distribution.
